Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Q3ListBoxText Class Reference

The Q3ListBoxText class provides list box items that display text. More...

     #include <Q3ListBoxText>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: Q3ListBoxItem.

- List of all members, including inherited members

## Public Functions

| Q3ListBoxText ( Q3ListBox * listbox, const QString & text = QString() )
| Q3ListBoxText ( const QString & text = QString() )
| Q3ListBoxText ( Q3ListBox * listbox, const QString & text, Q3ListBoxItem * after )
| ~Q3ListBoxText ()

## Reimplemented Public Functions

virtual int | height ( const Q3ListBox * lb ) const
virtual int | rtti () const
virtual int | width ( const Q3ListBox * lb ) const

- 14 public functions inherited from Q3ListBoxItem

## Reimplemented Protected Functions

virtual void | paint ( QPainter * painter )

- 3 protected functions inherited from Q3ListBoxItem

## Detailed Description

The Q3ListBoxText class provides list box items that display text.

The text is drawn in the widget's current font. If you need several different fonts, you must implement your own subclass of Q3ListBoxItem.

See also Q3ListBox and Q3ListBoxItem.

## Member Function Documentation

### Q3ListBoxText::Q3ListBoxText ( Q3ListBox * listbox, const QString & text = QString() )

Constructs a list box item in list box listbox showing the text text.

### Q3ListBoxText::Q3ListBoxText ( const QString & text = QString() )

Constructs a list box item showing the text text.

### Q3ListBoxText::Q3ListBoxText ( Q3ListBox * listbox, const QString & text, Q3ListBoxItem * after )

Constructs a list box item in list box listbox showing the text text. The item is inserted after the item after, or at the beginning if after is 0.

### Q3ListBoxText::~Q3ListBoxText ()

Destroys the item.

### int Q3ListBoxText::height ( const Q3ListBox * lb ) const`[virtual]`

Reimplemented from Q3ListBoxItem::height().

Returns the height of a line of text in list box lb.

See also paint() and width().

### void Q3ListBoxText::paint ( QPainter * painter )`[virtual protected]`

Reimplemented from Q3ListBoxItem::paint().

Draws the text using painter.

### int Q3ListBoxText::rtti () const`[virtual]`

Reimplemented from Q3ListBoxItem::rtti().

Returns 1.

Make your derived classes return their own values for rtti(), and you can distinguish between listbox items. You should use values greater than 1000 preferably a large random number, to allow for extensions to this class.

### int Q3ListBoxText::width ( const Q3ListBox * lb ) const`[virtual]`

Reimplemented from Q3ListBoxItem::width().

Returns the width of this line in list box lb.

See also paint() and height().